<script>
  import Icon from "svelte-awesome";
  import { search } from "svelte-awesome/icons";
  import { createEventDispatcher } from 'svelte';

  const dispatch = createEventDispatcher();
  const submit = () => dispatch('submit');
</script>

<div class="search">
  <input type="text" class="searchTerm" placeholder="Recherche d'articles.." />
  <button on:click={submit} type="submit" class="searchButton">
    <Icon data={search} />
  </button>
</div>


<style>
  @import url(https://fonts.googleapis.com/css?family=Open+Sans);

  @media (min-width: 640px) {
    .search {
      margin-left: auto;
      margin-right: auto;
      margin-top: 20px;
      width: 45%;
      position: relative;
      display: flex;
    }

    .searchTerm {
      font-family: "Open Sans", sans-serif;
      width: 100%;
      border: 3px solid #00b4cc;
      border-right: none;
      padding: 15px;
      height: 20px;
      border-radius: 5px 0 0 5px;
      outline: none;
      font-size: 12px;
      color: #9dbfaf;
    }

    .searchTerm:focus {
      color: #00b4cc;
    }

    .searchButton {
      width: 40px;
      height: 36px;
      border: 1px solid #00b4cc;
      background: #00b4cc;
      text-align: center;
      color: #fff;
      border-radius: 0 5px 5px 0;
      cursor: pointer;
      font-size: 10px;
    }
  }
</style>
